package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.HeatModes;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CookEggs extends BaseDevMode{

    public CookEggs(){

        this.setMode(WorkModes.COOK_EGGS);


        //时间
        this.setMinTime(0);
        this.setMaxTime(20);
        this.setDefaultTime(0);
        this.setTimeChange(true);
        this.setCountDown(true);

        //电机
        this.setDefaultMotorGear(0);
        this.setMaxMotorGear(0);
        this.setMaxMotorGear(0);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(true);

        //温度
        this.setDefaultTemp(120);
        this.setMinTemp(100);
        this.setMaxTemp(120);
        this.setTempChange(true);
        this.setDefaultHeatMode(HeatModes.ZHENG_QI);
    }


    @Override
    public boolean startCountTime() {

        if(CofarSDK.devInfo().getTemp() >= 95){
            return super.startCountTime();
        }else{
            return false;
        }


    }

}
